.app-loading {
  text-align: center;
}

.app-loading .lds-pacman {
  position: relative;
  margin: 6rem auto 2rem;
  width: 200px;
  height: 100px;
}

.app-loading .lds-pacman > div:nth-child(2) div {
  position: absolute;
  top: 40px;
  width: 0;
  height: 0;
  border-right: 28px solid transparent;
  border-top: 28px solid #1f2937;
  border-left: 28px solid #1f2937;
  border-bottom: 28px solid #1f2937;
  border-radius: 28px;
  transform-origin: 28px 28px;
}

.app-loading .lds-pacman > div:nth-child(2) div:nth-child(1) {
  animation: lds-pacman-1 0.5s linear infinite;
}

.app-loading .lds-pacman > div:nth-child(2) div:nth-child(2) {
  animation: lds-pacman-2 0.5s linear infinite;
}

.app-loading .lds-pacman > div:nth-child(1) div {
  position: absolute;
  top: 50px;
  left: 120px;
  width: 18px;
  height: 18px;
  border-radius: 999px;
  background: linear-gradient(135deg, #f59e0b, #b45309);
  animation: lds-pacman-3 1.5s linear infinite;
}

.app-loading .lds-pacman > div:nth-child(1) div:nth-child(1) {
  animation-delay: -1s;
}

.app-loading .lds-pacman > div:nth-child(1) div:nth-child(2) {
  animation-delay: -0.5s;
}

.app-loading .lds-pacman > div:nth-child(1) div:nth-child(3) {
  animation-delay: 0s;
}

@keyframes lds-pacman-1 {
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(-44deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

@keyframes lds-pacman-2 {
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(44deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

@keyframes lds-pacman-3 {
  0% {
    transform: translateX(0);
    opacity: 0;
  }
  30% {
    opacity: 1;
  }
  100% {
    transform: translateX(-110px);
    opacity: 0;
  }
}
